Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - mozc

Package Base Details: mozc

Git Clone URL: https://aur-dev.archlinux.org/mozc.git (read-only)
Submitter: ponsfoot
Maintainer: ponsfoot
Last Packager: ponsfoot
Votes: 41
Popularity: 0.629309
First Submitted: 2010-08-09 04:27
Last Updated: 2016-12-13 11:21

Packages (3)

Pinned Comments

ponsfoot commented on 2013-05-28 07:43

(Update following latest pacman)
Unofficial user repository of Mozc is ready (x86_64 only).
If you want to use the repo, add the following into your /etc/pacman.conf
---
[pnsft-pur]
SigLevel = Optional TrustAll
Server = http://downloads.sourceforge.net/project/pnsft-aur/pur/x86_64
---
You can specify `pacman -S mozc-im' to choose all of Mozc packages.

See https://wiki.archlinux.org/index.php/Mozc for more detail.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

ponsfoot commented on 2015-05-18 15:05

All,
Remove $SRCDEST/mozc if it existent (again). The upstream force-updated existing commit hashes.

NOTE: pkgrel is not changed because this change doesn't affect the existing 2.17.2095.102 users.

@nash:
Thank you for the info.

ishitatsuyuki commented on 2015-05-18 09:01

Pacaur:
==> Extracting sources...
-> Creating working copy of mozc git repo...
fatal: reference is not a tree: 40f67e035d32365dab823d292c173a0d67ad23c7

nash commented on 2015-05-18 02:07

We need to revise the commit id (_mozcrev) in PKGBUILD.

https://github.com/google/mozc/issues/290

ponsfoot commented on 2015-05-16 08:25

If you use mozc 2.16.2072.102-1 or earlier and build mozc yourself, remove $SRCDEST/{mozc,gyp} before building 2.17.2095.102-1.

ponsfoot commented on 2015-02-09 10:51

@wiegraffolles:
Build preparation (ln -sf `which python2` $srcdir/python in PKGBUILD) seems to failed.
Try again. It's not reproduced on my system.

If you don't have a strong insistence, try to use unofficial user repository:
https://wiki.archlinux.org/index.php/Mozc#Unofficial_user_repository

Note: Please show me full build log using http://pastebin.com/ from the next time.

wiegraffolles commented on 2015-02-09 09:55

I get this error when trying to build the latest update:

INFO: Running: ninja -j 8 -C out_linux/Release mozc_server mozc_tool ibus_mozc mozc_renderer
ninja: Entering directory `out_linux/Release'
[8/841] ACTION Generating gen/gui/character_pad/data/cp932_map.h.
FAILED: cd ../../gui; python ../build_tools/redirect.py ../out_linux/Release/gen/gui/character_pad/data/cp932_map.h character_pad/data/gen_cp932_map.py ../data/unicode/CP932.TXT
File "../build_tools/redirect.py", line 61
print '=========='
^
SyntaxError: Missing parentheses in call to 'print'
[8/841] ACTION Generating Resource file from config_dialog.qrc
ninja: build stopped: subcommand failed.
Traceback (most recent call last):
File "build_mozc.py", line 1454, in <module>
main()
File "build_mozc.py", line 1450, in main
procedure[1](cmd_opts, cmd_args, original_directory_name)
File "build_mozc.py", line 1070, in BuildMain
BuildOnLinux(options, targets, original_directory_name)
File "build_mozc.py", line 1026, in BuildOnLinux
RunOrDie([make_command] + build_args + target_names)
File "/tmp/makepkg/mozc/src/mozc/build_tools/util.py", line 99, in RunOrDie
'==========']))
build_tools.util.RunOrDieError:
==========
ERROR: ninja -j 8 -C out_linux/Release mozc_server mozc_tool ibus_mozc mozc_renderer
==========
==> ERROR: A failure occurred in build().
Aborting...
:: mozc cleaning skipped
:: failed to build ibus-mozc,mozc package(s)

Any ideas on how to fix it?

m13253 commented on 2015-01-25 14:20

It seems that the latest Mozc source requiers gyp available as a command:

Traceback (most recent call last):
File "build_mozc.py", line 1478, in <module>
main()
File "build_mozc.py", line 1474, in main
procedure[1](cmd_opts, cmd_args, original_directory_name)
File "build_mozc.py", line 958, in GypMain
RunOrDie(gyp_command + gyp_options)
File "/tmp/yaourt-tmp-brilliant/aur-mozc/src/mozc/build_tools/util.py", line 99, in RunOrDie

Maybe we should depend on gyp / gyp-svn, or set $PATH to enable gyp instantly?

o_caino commented on 2014-11-04 23:51

it seems that ninja is still required
ERROR: ninja -j 2 -C out_linux/Release mozc_server mozc_tool ibus_mozc mozc_renderer

ponsfoot commented on 2014-11-03 06:06

ninja is unnecessary as makedepends anymore.

taro-k commented on 2014-10-13 06:48

@ponsfoot Thanks lot for your immediate reply and understanding. Also I am happy about you understood this is general security thing on AUR (and beyond, as you stated.) I am looking forward to the next release.